# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Feb 22 22:11:50 2024
# ------------------------------------------------

package:
  name: itemloaders
  version: 1.1.0
source:
  sha256: 21d81c61da6a08b48e5996288cdf3031c0f92e5d0075920a0242527523e14a48
  url: https://pypi.io/packages/source/i/itemloaders/itemloaders-1.1.0.tar.gz
build:
  number: '0'
  script: /croot/itemloaders_1708639918324/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py312h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.12.12 h06a4308_0
    - expat 2.5.0 h6a678d5_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.13 h7f8727e_0
    - pip 23.3.1 py312h06a4308_0
    - python 3.12.1 h996f2a0_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.2.2 py312h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023d h04d1e81_0
    - wheel 0.41.2 py312h06a4308_0
    - xz 5.4.5 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - itemadapter >=0.1.0
    - jmespath >=0.9.5
    - parsel >=1.5.0
    - python >=3.12,<3.13.0a0
    - w3lib >=1.17.0
test:
  commands:
    - pip check
    - pytest tests
  imports:
    - itemloaders
  requires:
    - pip
    - pytest
  source_files:
    - tests
about:
  description: 'Library that helps you collect data from HTML and XML sources.

    '
  dev_url: https://github.com/scrapy/itemloaders
  doc_url: https://itemloaders.readthedocs.io
  home: https://github.com/scrapy/itemloaders
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Collect data from HTML and XML sources
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 170701d1-5714-451b-ba5d-9a3d0963ce02
  recipe-maintainers:
    - Gallaecio
    - dangra
    - rmax
    - wRAR
  remote_url: git@github.com:AnacondaRecipes/itemloaders-feedstock.git
  sha: 0e0e8bc6e8112b64046a507f072f53d60a9649de
